Skip to main content
`Ctrl`+`K`

# PetscSectionGetPointLayout

Get a `PetscLayout` for the points with nonzero dof counts of the unnamed default field within this `PetscSection`s local chart

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetPointLayout(MPI_Comm comm, PetscSection s, PetscLayout *layout)

Collective

## Input Parameters

- comm - The `MPI_Comm`

- s - The `PetscSection`

## Output Parameter

- layout - The point layout for the data that defines the section

## Notes

`PetscSectionGetValueLayout()` provides similar information but counting the total number of degrees of freedom on the MPI process (excluding constrained degrees of freedom).

This count includes constrained degrees of freedom

This is usually called on the default global section.

## Example

         The chart is [2,5), point 2 has 2 dof, point 3 has 0 dof, point 4 has 1 dof
         The local size of the `PetscLayout` is 2 since 2 points have a non-zero number of dof

## Developer Notes

I find the names of these two functions extremely non-informative

## See Also

PetscSection, `PetscSection`, `PetscSectionGetValueLayout()`, `PetscSectionCreate()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages